Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 273504 - games-puzzle/hangman: fails to build with gcc-4.4
Summary: games-puzzle/hangman: fails to build with gcc-4.4
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: [OLD] Games (show other bugs)
Hardware: All Linux
: High normal (vote)
Assignee: Gentoo Games
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: gcc-4.4
  Show dependency tree
 
Reported: 2009-06-10 10:32 UTC by Diego Elio Pettenò (RETIRED)
Modified: 2009-08-11 06:45 UTC (History)
2 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
Build log (hangman-0.9.2:20090610-000656.log,10.59 KB, text/plain)
2009-06-10 10:33 UTC, Diego Elio Pettenò (RETIRED)
Details
Patch allowing games-puzzle/hangman-0.9.2 to build against gcc 4.4 (hangman-0.9.2-gcc44.patch,745 bytes, patch)
2009-06-13 04:22 UTC, Víctor Ostorga (RETIRED)
Details | Diff
Patch against current hangman-0.9.2.ebuild (hangman-0.9.2.gcc44.ebuild,520 bytes, patch)
2009-06-13 04:23 UTC, Víctor Ostorga (RETIRED)
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Diego Elio Pettenò (RETIRED) gentoo-dev 2009-06-10 10:32:37 UTC
As per summary, check attached build log.
Comment 1 Diego Elio Pettenò (RETIRED) gentoo-dev 2009-06-10 10:33:18 UTC
Created attachment 194115 [details]
Build log
Comment 2 Víctor Ostorga (RETIRED) gentoo-dev 2009-06-13 04:22:42 UTC
Created attachment 194478 [details, diff]
Patch allowing games-puzzle/hangman-0.9.2 to build against gcc 4.4

Adding "extern" keyword to prototype in header fix things
Comment 3 Víctor Ostorga (RETIRED) gentoo-dev 2009-06-13 04:23:51 UTC
Created attachment 194479 [details, diff]
Patch against current hangman-0.9.2.ebuild
Comment 4 Samuli Suominen gentoo-dev 2009-08-11 06:45:05 UTC
Fixed (copied the fix from games-puzzle/torrent)